#include "partition.h"
#include <bits/stdc++.h>
#define pb push_back
#define ff first
#define ss second
#define all(v) v.begin(),v.end()
using namespace std;

vector<int> solve(vector<int> A) {
    int n = A.size();
    vector <int> ans;
    sort(all(A));
    for (int i = 0; i < ceil(1.*n/2) - 1; i++) ans.pb(i);
    ans.pb(n-1);
    for (int i = ceil(1. * n / 2) - 1; i < n-1; i++) ans.pb(i);
    return ans;
}
